Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037576
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2018-01-03 14:002018-01-15 09:44
ReportermrecasensView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR18Q2
StatusclosedFix in branchFixed in SCM revision8a2eaa5c2ba5
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037576: Business Partner selector search is not fired by -Enter- key and it should using remote

DescriptionUnlike product selector, where you can type a few chars and type <Enter> for the search to start, in Business Partner selector you need to click on the magnifying glass to start it.
Steps To Reproduce1. Configure "Remote for Customers" preference in backoffice.
2. Open WebPOS
https://livebuilds.openbravo.com/retail_pi_pgsql/web/org.openbravo.retail.posterminal/?terminal=VBS-1#retail.pointofsale [^]
3. Click on the "SEARCH" button
4. Type "res" and press on the <Enter> key?
=> See the search starts and search results are shown (Compression sacks cordura)
5. Click on the current Business Partner (e.g. Carls Studson)
=> The Bussiness Partner selector is shown, with "Full name" filter by default
6. Type "Art" and press on the <Enter> key?
ERROR: You would expect the search to be started, and it does not start unless you...
7. Click on the magnifying glass icon
=> See the search starts and search results are shown (Arturo Montoro)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0101680)
hgbot (developer)
2018-01-12 13:15

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 8a2eaa5c2ba5c73dfbfc3eace2447c1a586a6e2c
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri Jan 12 17:44:49 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/8a2eaa5c2ba5c73dfbfc3eace2447c1a586a6e2c [^]

Fixed issue 37576 : Added Enter key event for Modal Selector search input

---
M web/org.openbravo.mobile.core/source/component/ob-commonbuttons.js
---
(0101681)
hgbot (developer)
2018-01-12 13:15

Repository: tools/automation/pi-mobile
Changeset: e65ebac6930c4681b578069e5135bb961def1ad6
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri Jan 12 17:44:27 2018 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/e65ebac6930c4681b578069e5135bb961def1ad6 [^]

Verifies issue 37576 : Added automated test 'I37576_VerifySelectorInputWithEnterEvent'

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I37576_VerifySelectorInputWithEnterEvent.java
---

- Issue History
Date Modified Username Field Change
2018-01-03 14:00 mrecasens New Issue
2018-01-03 14:00 mrecasens Assigned To => Retail
2018-01-03 14:00 mrecasens Triggers an Emergency Pack => No
2018-01-05 09:19 umartirena Steps to Reproduce Updated View Revisions
2018-01-05 09:20 guilleaer Summary Business Partner selector search is not fired by <Enter> key and it should => Business Partner selector search is not fired by -Enter- key and it should using remote
2018-01-10 14:54 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2018-01-10 14:54 ranjith_qualiantech_com Status new => scheduled
2018-01-12 13:15 hgbot Checkin
2018-01-12 13:15 hgbot Note Added: 0101680
2018-01-12 13:15 hgbot Status scheduled => resolved
2018-01-12 13:15 hgbot Resolution open => fixed
2018-01-12 13:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/8a2eaa5c2ba5c73dfbfc3eace2447c1a586a6e2c [^]
2018-01-12 13:15 hgbot Checkin
2018-01-12 13:15 hgbot Note Added: 0101681
2018-01-15 09:44 marvintm Review Assigned To => marvintm
2018-01-15 09:44 marvintm Status resolved => closed
2018-01-15 09:44 marvintm Fixed in Version => RR18Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker